System.Configuration.Install 1.0.5000.0 2.0.0.0 System.Configuration.Install.ComponentInstaller

The following information might help provide a performance improvement when installing performance counters at application startup. Performance counter categories installed with .NET Framework version 2.0 use separate shared memories, with each performance counter category having its own memory. You can specify the size of separate shared memory by creating a DWORD named FileMappingSize in the registry key HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\<category name>\Performance. The FileMappingSize value is set to the shared memory size of the category. The default size is 131072 decimal. If the FileMappingSize value is not present, the fileMappingSize attribute value for the performanceCounters element specified in the Machine.config file is used, causing additional overhead for configuration file processing. You can realize a performance improvement for application startup by setting the file mapping size in the registry.

Specifies an installer for the component.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added. To be added.

  Gets or sets the descriptive message for the performance counter.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.TypeConverter("System.Diagnostics.Design.StringValueConverter, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue("")
  System.String To be added. To be added.

  Gets or sets the performance category name for the performance counter.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Diagnostics.PerformanceCounterCategoryType.Unknown)
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.PerformanceCounterCategoryType To be added.

  The property specifies whether the performance counter category can have multiple instances.

  Gets or sets the performance counter category type.

- Method
  System.Void ``

  can only install multiple counters in the same category.

  Copies all the properties from the specified component that are required at install time for a performance counter.

  The component to copy from. 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
  System.Diagnostics.CounterCreationDataCollection To be added. To be added.

  Gets a collection of data that pertains to the counters to install.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  When installing both a service and a performance counter with the same name, install the service before installing the performance counter.

  Performs the installation.

  An that is used to save the information needed to perform a commit, rollback, or uninstall operation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Restores the computer to the state it was in before the installation.

  An that contains the pre-installation state of the computer. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Removes an installation.

  An that contains the post-installation state of the computer. 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.DefaultValue(System.Configuration.Install.UninstallAction.Remove)
  System.Configuration.Install.UninstallAction To be added. To be added.

  Gets a value that indicates whether the performance counter should be removed at uninstall time.

  1.0.5000.0
  2.0.0.0